<?php

declare(strict_types=1);

namespace Acms\Services\Asset;

use Acms\Contracts\ServiceProvider;
use Acms\Services\Container;

class AssetServiceProvider extends ServiceProvider
{
    /**
     * register service
     *
     * @param \Acms\Services\Container $container
     *
     * @return void
     */
    public function register(Container $container)
    {
        $container->singleton('asset', AssetManager::class);
    }

    /**
     * initialize service
     *
     * @return void
     */
    public function init()
    {
    }
}
